Data Fields
acc_touchless_button_config_t Struct Reference

Touchless button application config. More...

## Data Fields
float | sensitivity_close
uint16_t | patience_close
float | sensitivity_far
uint16_t | patience_far
float | calibration_duration_s
float | calibration_interval_s
acc_touchless_button_measurement_type_t | measurement_type
acc_config_t * | sensor_config

## Detailed Description

Touchless button application config.

Definition at line 53 of file ref_app_touchless_button.c.

## Field Documentation

## ◆ calibration_duration_s

float acc_touchless_button_config_t::calibration_duration_s

Calibration duration in seconds

Definition at line 78 of file ref_app_touchless_button.c.

## ◆ calibration_interval_s

float acc_touchless_button_config_t::calibration_interval_s

Interval between calibrations in seconds. When reached a new calibration is made. Should not be set lower than the longest estimated continuous detection event

Definition at line 83 of file ref_app_touchless_button.c.

## ◆ measurement_type

acc_touchless_button_measurement_type_t acc_touchless_button_config_t::measurement_type

The measurement type See acc_touchless_button_measurement_type_t for more information

Definition at line 88 of file ref_app_touchless_button.c.

## ◆ patience_close

uint16_t acc_touchless_button_config_t::patience_close

Number of frames in a row above threshold to count as a new close range detection, also number of frames in a row below threshold to count as end of detection

Definition at line 64 of file ref_app_touchless_button.c.

## ◆ patience_far

uint16_t acc_touchless_button_config_t::patience_far

Number of frames in a row above threshold to count as a new close range detection, also number of frames in a row below threshold to count as end of detection

Definition at line 74 of file ref_app_touchless_button.c.

## ◆ sensitivity_close

float acc_touchless_button_config_t::sensitivity_close

Sensitivity for close range detection. High sensitivity equals low detection threshold, low sensitivity equals high detection threshold

Definition at line 59 of file ref_app_touchless_button.c.

## ◆ sensitivity_far

float acc_touchless_button_config_t::sensitivity_far

Sensitivity for far range detection. High sensitivity equals low detection threshold, low sensitivity equals high detection threshold

Definition at line 69 of file ref_app_touchless_button.c.

## ◆ sensor_config

acc_config_t* acc_touchless_button_config_t::sensor_config

The sensor configuration

Definition at line 92 of file ref_app_touchless_button.c.

The documentation for this struct was generated from the following file:

- Src/use_cases/reference_apps/ref_app_touchless_button.c